import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.text.DecimalFormat;

import javax.swing.BorderFactory;
import javax.swing.JComponent;

public class Counter extends JComponent
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 4076790947073463877L;
	private Integer digits;
	private Integer value;
	private DecimalFormat df;
	
	public Counter(Integer digits, Integer value)
	{
		this.digits = digits;
		this.value = value;
		
		String format = "";
		for(int i=0;i<digits;i++)
			format += "0";
		df = new DecimalFormat(format);
		setBorder(BorderFactory.createCompoundBorder(
                BorderFactory.createTitledBorder(""),
                BorderFactory.createEmptyBorder(0,0,0,0)));
	}

	public void paintComponent(Graphics graphics)
	{
		super.paintComponent(graphics);
		Graphics2D g = (Graphics2D) graphics.create();
		g.setBackground(Color.WHITE);
		g.clearRect(0, 0, digits*15, 25);

		String s = df.format(value);
		for(int i=0;i<s.length();i++)
			g.drawImage(Window.image.get("digits/"+s.charAt(i)), i*15, 0, Color.WHITE, null);
		g.dispose();
	}
	
	public Integer getValue()
	{
		return value;
	}

	public void setValue(Integer value)
	{
		this.value = value;
	}
	
	public Dimension getMinimumSize()
	{
		return new Dimension(digits*15, 25);
	}
	
	public Dimension getPreferredSize()
	{
		return getMinimumSize();
	}

	public Dimension getMaximumSize()
	{
		return getMinimumSize();
	}
	
	public Dimension getSize()
	{
		return getMinimumSize();
	}
}
