import javax.swing.SwingUtilities;


public class Game implements Runnable
{
	private GameField gameField;
	private Integer level;
	public Snake snake;
	private Counter scoreField;
	private Integer score;
	
	public Game(GameField gameField, Integer level, Integer fieldIndex, Counter scoreField)
	{
		this.gameField = gameField;
		this.level = level;
		this.scoreField = scoreField;
		snake = new Snake(5);
		gameField.prepareField(fieldIndex, snake);
	}
	
	public void run()
	{
		Boolean eat = false;
		score = 0;
		scoreField.setValue(0);
		
		while(true)
		{
			if(!snake.move(eat))
				break;
			
			if(eat)
			{
				eat = false;
				gameField.addFood();
			}
			
			int x, y;
			x=snake.head().x;
			y=snake.head().y;
			if(gameField.getField(x, y)==1)
				break;
			
			eat = false;
			SwingUtilities.invokeLater(
					new Runnable()
					{
						public void run()
						{
							gameField.repaint();
							scoreField.repaint();
						}
					}
			);
			
			if(gameField.foodPosition[0]==x && gameField.foodPosition[1]==y)
			{
				eat = true;
				score+=(50*level);
				scoreField.setValue(score);
			}
			
			try
			{
				Thread.sleep((11-level)*20);
			} catch (InterruptedException e)
			{
				return;
			}
		}
	}

}
