import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.BorderFactory;
import javax.swing.JComponent;

public class GameFieldPreview extends JComponent
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1793772644627822519L;
	private Integer fieldIndex;
	public GameFieldPreview(Integer fieldIndex)
	{
		this.fieldIndex = fieldIndex;
		setBorder(BorderFactory.createCompoundBorder(
                BorderFactory.createTitledBorder(""),
                BorderFactory.createEmptyBorder(0,0,0,0)));
	}
	
	public void paintComponent(Graphics graphics)
	{
		super.paintComponent(graphics);
		Graphics2D g = (Graphics2D)graphics.create();
		
		String[] fieldString = Fields.fields[fieldIndex];
		for(int y=0;y<fieldString.length;y++)
			for(int x=0;x<fieldString[y].length();x++)
				if(fieldString[y].charAt(x)=='#')
					g.drawImage(Window.image.get("SmallWall"), 2+x*5, 2+y*5, Color.white, null);
		 
		g.dispose();
	}
	
	public Dimension getMinimumSize()
	{
		return new Dimension(GameField.width*5+5, GameField.height*5+5);
	}
	
	public Dimension getPreferredSize()
	{
		return getMinimumSize();
	}

	public Dimension getMaximumSize()
	{
		return getMinimumSize();
	}
	
	public void setFieldIndex(Integer fieldIndex)
	{
		this.fieldIndex = fieldIndex;
	}
	
}
