import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.util.Hashtable;

import javax.imageio.ImageIO;

public class Image
{
	private Hashtable<String, BufferedImage> images;
	
	public Image()
	{
		images = new Hashtable<String, BufferedImage>();
	}
	
	public BufferedImage get(String name)
	{
		if(images.containsKey(name))
			return images.get(name);
		try
		{
			URL url = Image.class.getResource("images/" + name + ".png");
			BufferedImage i;
			if(url!=null)
				 i = ImageIO.read(url);
			else
				 i = ImageIO.read(new File("images/" + name + ".png")); 
			images.put(name, i);
		} catch (IOException e)
		{
			e.printStackTrace();
		}
		return get(name);
	}
}
